package domain

type AlibabaHmMarketingBuygiftItemAddAsyncCommonActivityParam struct {
	/*
	   外部活动编码     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaHmMarketingBuygiftItemAddAsyncCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingBuygiftItemAddAsyncCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingBuygiftItemAddAsyncCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingBuygiftItemAddAsyncCommonActivityParam {
	s.ActivityId = &v
	return s
}
